package com.gct.edge.actuator.config;

import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * dec:
 * <p>
 * SyncModuleDataProperties
 * </p>
 *
 * @author lloyd
 * @version 1.0.1
 * @since 2021/11/17 下午7:04
 */
@Data
@Accessors(chain = true)
@Component
@ConfigurationProperties(prefix = "spring.gct.edge.module.sync")
public class SyncModuleDataProperties {
    String path;
    String[] readTableFromModule = {};
}
