package com.gct.edge.actuator.controller;


import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.api.R;
import com.gct.common.core.result.Result;
import com.gct.edge.actuator.entity.DgnsGtgktype;
import com.gct.edge.actuator.service.DgnsGtgktypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author Lijian
 * @since 2022-03-16
 */
@RestController
@RequestMapping("/gkType/dgnsGtgktype")
public class DgnsGtgktypeController {
    @Autowired
    DgnsGtgktypeService dgnsGtgktypeService;

    @GetMapping("/getMostNewGktype")
    public Result getMostNewGktype(@RequestParam("moduleKey") String moduleKey){
        return  Result.ok(dgnsGtgktypeService.getDgnsGtgktype(moduleKey));
    }

    @PostMapping("/addDgnsGtgktype")
    public Result addDgnsGtgktype(@RequestBody JSONObject jsonObject){
        return Result.ok(dgnsGtgktypeService.addDgnsGtgktype(jsonObject));
    }

   @GetMapping("/deleteDgnsGtgktype")
    public Result deleteDgnsGtgktype(@RequestParam("moduleKey") String moduleKey,@RequestParam("proTime") String proTime){
        return Result.ok(dgnsGtgktypeService.deleteDgnsGtgktype(moduleKey,proTime));
   }

   @PostMapping("/copyDgnsGtgktype")
    public Result copyDgnsGtgktype(@RequestBody JSONObject jsonObject){
        return Result.ok(dgnsGtgktypeService.copyDgnsGtgktype(jsonObject));
   }

}

