package com.gct.edge.actuator.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.yaml.snakeyaml.events.Event;

import java.time.LocalDateTime;

/**
 * class name: AoidGkModel
 *
 * @author gxt
 * @version 1.0
 * @since 2021/12/13 下午2:18 周一
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "AoidGkModel对象", description = "")
public class AoidGkModel implements ObjectParseFile{
    private String moduleKey;
    private LocalDateTime proTime;
    private double gkxs;
    @TableId(type=IdType.INPUT)
    private String result;

    @TableField(exist = false)
    private int gtNum;

    @Override
    public String toFileRowString() {
        return gkxs + "|"+result  ;
    }
}
