package com.gct.edge.actuator.entity;


import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "AoidSingleWellConfig对象", description = "")
public class AoidSinglewellConfig  implements ObjectParseFile{
    private String moduleKey;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime proTime;
    private Integer id;
    private double gradient1;
    private double gradient2;
    private double gradient3;
    private double gradient4;
    private double gradient5;
    private double gradient6;
    private double gradient7;
    private double gradient8;
    private double gradient9;
    private double gradient10;
    private double dividenum1;
    private double dividenum2;
    private double dividenum3;
    private double dividenum4;
    private double dividenum5;
    private double dividenum6;
    private double dividenum7;
    private double dividenum8;
    private double dividenum9;
    private double dividenum10;


    @Override
    public String toFileRowString() {
        return id+"|"+gradient1+"|"+gradient2+"|"+gradient3+"|"+gradient4+"|"+gradient5+"|"+gradient6+"|"+gradient7+"|"+gradient8+"|"+gradient9+"|"+gradient10+"|"+dividenum1+"|"+dividenum2+"|"+dividenum3+"|"+dividenum4+"|"+dividenum5+"|"+dividenum6+"|"+dividenum7+"|"+dividenum8+"|"+dividenum9+"|"+dividenum1;
    }
}
