package com.gct.edge.actuator.entity.excel;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;

import java.time.LocalDateTime;

/**
 * @author xusirui 2021/12/2
 */
public class YieldDailyExcelObj {

    @ExcelIgnore
    private LocalDateTime proTime;

    @ExcelProperty(value = "井号",index = 0)
    private String wellCommonName;

    @ExcelProperty(value = "日期" ,index = 1)
    private String proTimeStr;

    @ExcelProperty(value = "生产时率h" ,index = 2)
    private Integer prodTime;

    @ExcelProperty(value = "日产液m³" ,index = 3)
    private Double liqProdDaily;

    @ExcelProperty(value = "日产油m³" ,index = 4)
    private Double oilProdDaily;

    @ExcelProperty(value = "日产水m³" ,index = 5)
    private Double waterProdDaily;

    @ExcelProperty(value = "日产气m³" ,index = 6)
    private Double gasProdDaily;

    @ExcelProperty(value = "含水率%" ,index = 7)
    private Double waterCut;

    @ExcelProperty(value = "冲程m" ,index = 8)
    private Double stroke;

    @ExcelProperty(value = "冲次" ,index = 9)
    private Double frequence;

    @ExcelProperty(value = "泵径mm" ,index = 10)
    private Double bj;

    @ExcelProperty(value = "泵深m" ,index = 11)
    private Double bs;

    @ExcelProperty(value = "动液面m" ,index = 12)
    private Double dym;

    @ExcelProperty(value = "沉没度m" ,index = 13)
    private Double cmd;

    @ExcelProperty(value = "备注" ,index = 14)
    private String bz;

    public LocalDateTime getProTime() {
        return proTime;
    }

    public void setProTime(LocalDateTime proTime) {
        this.proTime = proTime;
    }

    public String getProTimeStr() {
        return proTimeStr;
    }

    public void setProTimeStr(String proTimeStr) {
        this.proTimeStr = proTimeStr;
    }

    public Integer getProdTime() {
        return prodTime;
    }

    public void setProdTime(Integer prodTime) {
        this.prodTime = prodTime;
    }

    public Double getLiqProdDaily() {
        return liqProdDaily;
    }

    public void setLiqProdDaily(Double liqProdDaily) {
        this.liqProdDaily = liqProdDaily;
    }

    public Double getOilProdDaily() {
        return oilProdDaily;
    }

    public void setOilProdDaily(Double oilProdDaily) {
        this.oilProdDaily = oilProdDaily;
    }

    public Double getWaterProdDaily() {
        return waterProdDaily;
    }

    public void setWaterProdDaily(Double waterProdDaily) {
        this.waterProdDaily = waterProdDaily;
    }

    public Double getGasProdDaily() {
        return gasProdDaily;
    }

    public void setGasProdDaily(Double gasProdDaily) {
        this.gasProdDaily = gasProdDaily;
    }

    public Double getWaterCut() {
        return waterCut;
    }

    public void setWaterCut(Double waterCut) {
        this.waterCut = waterCut;
    }

    public Double getStroke() {
        return stroke;
    }

    public void setStroke(Double stroke) {
        this.stroke = stroke;
    }

    public Double getFrequence() {
        return frequence;
    }

    public void setFrequence(Double frequence) {
        this.frequence = frequence;
    }

    public Double getBj() {
        return bj;
    }

    public void setBj(Double bj) {
        this.bj = bj;
    }

    public Double getBs() {
        return bs;
    }

    public void setBs(Double bs) {
        this.bs = bs;
    }

    public Double getDym() {
        return dym;
    }

    public void setDym(Double dym) {
        this.dym = dym;
    }

    public Double getCmd() {
        return cmd;
    }

    public void setCmd(Double cmd) {
        this.cmd = cmd;
    }

    public String getBz() {
        return bz;
    }

    public String getWellCommonName() {
        return wellCommonName;
    }

    public void setWellCommonName(String wellCommonName) {
        this.wellCommonName = wellCommonName;
    }

    public void setBz(String bz) {
        this.bz = bz;
    }
}
