package com.gct.edge.actuator.feign;

import com.gct.common.core.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * class name: ProtalClient
 *
 * @author gxt
 * @version 1.0
 * @since 2021/12/8 下午4:05 周三
 */
@FeignClient(value = "edge-portal", fallback = ProtalHystrix.class)
public interface ProtalClient {

    @GetMapping("/edgeRelease/deleteEdgeReleaseConfigMonitorWithModuleKey")
    String deleteEdgeReleaseConfigMonitorWithModuleKey(@RequestParam("moduleKey")String moduleKey , @RequestParam("relseaseVsersion")String releaseVersion);
}
