package com.gct.edge.actuator.remoteDataStruct;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

/**
 * @author xusirui 2021/11/22
 */
public class aoid_singlegt_yield {
    @ApiModelProperty(value = "分库分表所需key")
    private String module_key;
    @ApiModelProperty(value = "实时时间")
    private LocalDateTime pro_time;
    @ApiModelProperty(value = "井号")
    @Index(1)
    String well_id;
    @ApiModelProperty(value = "通用井名")
    String well_common_name;
    @ApiModelProperty(value = "日期")
    @Index(2)
    String prod_date;
    @ApiModelProperty(value = "冲程")
    double stroke;
    @ApiModelProperty(value = "冲次")
    double frequence;
    @ApiModelProperty(value = "泵径")
    double bj;
    @ApiModelProperty(value = "泵深")
    double bs;
    @ApiModelProperty(value = "沉没度")
    double cmd;
    @ApiModelProperty(value = "")
    double yzzj;
    @ApiModelProperty(value = "")
    double sxzh;
    @ApiModelProperty(value = "")
    double xxzh;
    @ApiModelProperty(value = "示功图")
    String sgt;
    @ApiModelProperty(value = "泵功图")
    String bgt;
    @ApiModelProperty(value = "")
    String zdjg;
    @ApiModelProperty(value = "")
    String refrencewell_id;
    @ApiModelProperty(value = "")
    String refrencecjsj;
    @ApiModelProperty(value = "日产液量")
    double liq_prod_daily;
    @ApiModelProperty(value = "日产油量")
    double oil_prod_daily;
    @ApiModelProperty(value = "日产气.量")
    double gas_prod_daily;
    @ApiModelProperty(value = "")
    String eczdjg;
    @ApiModelProperty(value = "泵效")
    double bx;
    @ApiModelProperty(value = "含水率")
    double hsl;
    @ApiModelProperty(value = "")
    double flag;
    @ApiModelProperty(value = "")
    double bdxs;
    @ApiModelProperty(value = "理论排量")
    double llpl;
    @ApiModelProperty(value = "")
    double zcc;
    @ApiModelProperty(value = "")
    double ycc;
    @ApiModelProperty(value = "")
    double sjcc;
    @ApiModelProperty(value = "")
    double yxcc;
    @ApiModelProperty(value = "")
    double ccss;
    @ApiModelProperty(value = "")
    double lsss;
    @ApiModelProperty(value = "")
    double gyss;
    @ApiModelProperty(value = "")
    double pumpdepth;
    @ApiModelProperty(value = "回压")
    double hy;
    @ApiModelProperty(value = "油压")
    double yy;
    @ApiModelProperty(value = "套压")
    double ty;
    @ApiModelProperty(value = "日产水量")
    double water_prod_daily;
    @ApiModelProperty(value = "")
    String refrencesgt;
    @ApiModelProperty(value = "生成时间")
    double scsj;
    @ApiModelProperty(value = "气油比")
    double qyb;
    @ApiModelProperty(value = "")
    double stroke_ratio;
    @ApiModelProperty(value = "")
    double djdy;
    @ApiModelProperty(value = "")
    double hjwd;
    @ApiModelProperty(value = "")
    double ybdl;
    @ApiModelProperty(value = "")
    double xhqd;
    @ApiModelProperty(value = "设备号")
    String sbh;

}
