package com.gct.edge.actuator.remoteDataStruct;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

/**
 * @author xusirui 2021/11/22
 */
public class dgns_gtbaseparam {
    @ApiModelProperty(value = "分库分表所需key")
    private String module_key;
    @ApiModelProperty(value = "实时时间")
    private LocalDateTime pro_time;
    @ApiModelProperty(value = "数据ID")
    String id;
    @ApiModelProperty(value = "创建时间")
    String createtime;
    @ApiModelProperty(value = "")
    @Index(2)
    String recivetime;
    @ApiModelProperty(value = "井名")
    @Index(1)
    String wellname;
    @ApiModelProperty(value = "示功图")
    String sgt;
    @ApiModelProperty(value = "最大冲程")
    double s_max;
    @ApiModelProperty(value = "最小冲程")
    double s_min;
    @ApiModelProperty(value = "最大载荷")
    double l_max;
    @ApiModelProperty(value = "最小载荷")
    double l_min;
    //载荷中线值
    @ApiModelProperty(value = "平均载荷")
    double l_mid;
    //功图第一拐点载荷
    @ApiModelProperty(value = "功图第一拐点载荷")
    double l_fistdownturnpoint;
    //计算出来的冲程
    @ApiModelProperty(value = "计算出的冲程")
    double s;
    //读过来的冲程 一手源数据
    @ApiModelProperty(value = "读到的冲程")
    double s_pre;
    //冲次
    @ApiModelProperty(value = "冲次")
    double n;
    // 载荷差值
    @ApiModelProperty(value = "在和差值")
    double l;
    @ApiModelProperty(value = "有效冲程")
    double s_effect;
    @ApiModelProperty(value = "功图面积")
    double area;
    //上行载荷均值
    @ApiModelProperty(value = "上行载荷均值")
    double upload;
    //下行载荷均值
    @ApiModelProperty(value = "下行载荷均值")
    double download;
    //0: not legal ;1: in legal ;default:-1
    @ApiModelProperty(value = "是否合法标记值")
    int islegal;
    @ApiModelProperty(value = "备注")
    String remark;

    @ApiModelProperty(value = "示功图点数")
    int sgtpointnum;


    //对应[ s_max  ]的在array中的 index
    @ApiModelProperty(value = "最大冲程的点索引位置")
    int s_max_point_location;
    //对应[ s_min  ]的在array中的 index
    @ApiModelProperty(value = "最小冲程的点索引位置")
    int s_min_point_location;
    //对应[ l_max  ]的在array中的 index
    @ApiModelProperty(value = "最大载荷的点索引位置")
    int l_max_point_location;
    //对应[  l_min ]的在array中的 index
    @ApiModelProperty(value = "最小索引的点载荷位置")
    int l_min_point_location;
}
