package com.gct.edge.actuator.remoteDataStruct;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

/**
 * @author xusirui 2021/11/22
 */
public class dgns_gtcard_lib {
    @ApiModelProperty(value = "分库分表所需key")
    private String module_key;
    @ApiModelProperty(value = "实时时间")
    private LocalDateTime pro_time;
    @PrimaryKey
    @ApiModelProperty(value = "唯一ID;井号+时间")
    String id;
    @ApiModelProperty(value = "井ID")
    String well_id;
    @ApiModelProperty(value = "日期")
    String pro_date;
    @ApiModelProperty(value = "")
    String tvec;
    @ApiModelProperty(value = "示功图")
    String indicator_diagram;
    @ApiModelProperty(value = "诊断结果种类")
    String result;
    @ApiModelProperty(value = "井号")
    String jh;
    @ApiModelProperty(value = "")
    int effectonjh;
    @ApiModelProperty(value = "")
    int effectonqk;
    @ApiModelProperty(value = "")
    int effectonall;
    @ApiModelProperty(value = "最大载荷")
    double maxload;
    @ApiModelProperty(value = "最小载荷")
    double minload;
    @ApiModelProperty(value = "")
    double dload;
    @ApiModelProperty(value = "创建时间")
    String create_time;
    @ApiModelProperty(value = "诊断结果种类代号")
    int code;
}
