package com.gct.edge.actuator.remoteDataStruct;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;

import java.time.LocalDateTime;

/**
 * class name: gtcvr_runtime_config
 *
 * @author gxt
 * @version 1.0
 * @since 2021/12/3 下午4:05 周五
 */
public class gtcvr_runtime_config {

    @ApiModelProperty(value = "分库分表所需key")
    private String module_key;
    @ApiModelProperty(value = "实时时间")
    @PrimaryKey
    private LocalDateTime pro_time;
    @ApiModelProperty(value = "地址")
    private String host;
    @ApiModelProperty(value = "端口号")
    private String port;
    @ApiModelProperty(value = "序列号")
    private String slave_code_list;
    @ApiModelProperty(value = "存储单元上限值")
    private int max_line;
    @ApiModelProperty(value = "存储单元保留值")
    private int min_line;
    @ApiModelProperty(value = "工作线程刷新频率-s")
    private int work_interval;
    @ApiModelProperty(value = "存储空间监控线程工作频率-s")
    private int free_interval;
    @ApiModelProperty(value = "导出命令")
    private String dump_command;

}
