package com.gct.edge.actuator.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.edge.actuator.entity.AoidSinglewellConfig;

import java.util.List;
import java.util.Map;

public interface AoidSinglewellConfigService extends IService<AoidSinglewellConfig> {
    List<AoidSinglewellConfig> getSingleWellConfigs(String moduleKey, String releaseVersion);
    String insertSingleWellConfig(JSONObject jsonObject);
    String updateSingleWellConfig(JSONObject jsonObject);
    String editSingleWellConfig(JSONObject jsonObject);
    String deleteSingleWellConfig(String moduleKey, String proTime);
    Map<String,Object> copySingleWellConfig(JSONObject jsonObject);
    String deleteSingleWellConfig(JSONObject jsonObject);
    String judgeIdExists(Integer id,String moduleKey,String releaseVersion);
}
