package com.gct.edge.actuator.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.gct.common.core.result.Result;
import com.gct.edge.actuator.entity.YieldRealTime;
import com.gct.edge.base.entity.TableNameEnum;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.io.InputStream;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author xusirui 2021/10/26
 */
public interface YieldService {
    Result loadDataFromFile(InputStream file, String moduleKey, TableNameEnum tableKey) throws IOException;

    JSONObject getProdCurve(String moduleKey, String date, String wellId);

    Result getWellIdsByNew(String moduleKey, String startDate);

    List<YieldRealTime> getYieldRealTimeInfoByWellId(String moduleKey,String wellId, String startdate);

    JSONArray getWellInfo(String moduleKey, String wellId, String prodTime);
}


