package com.gct.edge.actuator.util;

import com.gct.edge.actuator.entity.*;

import java.lang.reflect.Field;

/**
 * @author xusirui 2022/3/15
 */
public class ObjectParseFileCodeGenerator {

    public static String parse(Class<? extends ObjectParseFile> clz){

        StringBuilder sb = new StringBuilder();
        Field[] fields = clz.getDeclaredFields();
        for (int i = 0; i < fields.length; i++) {
            if (i!=0)sb.append("+\"|\"+");
            sb.append(fields[i].getName());
        }
        return sb.toString();
    }


    public static void main(String[] args) {
        System.out.println(parse(DgnsGtgktype.class));
    }
}
