package com.gct.edge.actuator;

import com.gct.common.security.annotation.EnableGCTServiceSecurity;
import com.gct.edge.base.EnableRefreshSharding;
import com.gct.edge.base.EnableSharding;
import com.spring4all.swagger.EnableSwagger2Doc;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * dec: EdgeModulActuatorApplication
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/10/24 下午1:44
 */
@EnableSwagger2Doc
@EnableFeignClients
@EnableDiscoveryClient
@SpringBootApplication
@EnableSharding
@EnableRefreshSharding
public class EdgeModuleActuatorApplication {
    public static void main(String[] args) {
        SpringApplication.run(EdgeModuleActuatorApplication.class, args);
    }
}
