package com.gct.edge.actuator.algorithm;

import java.util.ArrayList;
import java.util.List;

/**
 * @author xusirui 2021/12/8
 */
public class CalIntegral {

    //xy[i][0] 代表点i的横坐标 long 时间戳 xy[i][1] 纵坐标 double t/天
    public static Object[][] cal(Object[][] xy) {
        Object[][] res = new Object[xy.length][];
        if (xy.length == 0) return res;
        res[0] = new Object[]{xy[0][0], 0.0};
        for (int i = 0; i < xy.length - 1; i++) {
            res[i + 1] = new Object[]{xy[i][0],
                    (double)res[i][1] + ((double)xy[i][1] + (double)xy[i + 1][1]) * ((long)xy[i + 1][0] - (long)xy[i][0]) / 2 / (3600*1000*24)};
        }
        return res;
    }
}
