package com.gct.edge.actuator.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.lang.reflect.Field;
import java.time.LocalDateTime;

/**
 * class name: AoidConfigData
 *
 * @author gxt
 * @version 1.0
 * @since 2021/12/1 下午2:38 周三
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "AoidConfigData对象", description = "")
public class AoidConfigData implements ObjectParseFile {
    private String moduleKey;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime proTime;
    private String jh;
    private double bj;
    private double bs;
    private double hsl;
    private double smd;
    private double ymd;
    private double qyb;
    private double dym;
    private double yy;
    private double ty;
    private double hy;
    private int totalgtnum;

    @Override
    public String toFileRowString() {
        return jh+"|"+bj+"|"+bs+"|"+hsl+"|"+smd+"|"+ymd+"|"+qyb+"|"+dym+"|"+yy+"|"+ty+"|"+hy+"|"+totalgtnum;
    }
}
