package com.gct.edge.actuator.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author Lijian
 * @since 2022-03-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DgnsGtgktype对象", description="")
public class DgnsGtgktype extends Model<DgnsGtgktype> implements ObjectParseFile {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "分库分表所需key")
    private String moduleKey;

    @ApiModelProperty(value = "实时时间")
    private LocalDateTime proTime;

    private Integer id;

    private String gkname;

    private String dec;

    private String modbustranscode;

    private String remark;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toFileRowString() {
        return id+"|"+gkname+"|"+dec+"|"+modbustranscode+"|"+remark;
    }
}
