package com.gct.edge.actuator.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gct.edge.actuator.entity.GtcvrRuntimeConfig;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;

/**
 * @author xusirui 2021/10/26
 */
@Mapper
public interface GtcvrRuntimeConfigMapper extends BaseMapper<GtcvrRuntimeConfig> {

    /**
     * 根据参数条件查询全局配置数据
     * @param page
     * @param modelKey
     * @return
     */
    IPage<GtcvrRuntimeConfig> findAllGtcvrRuntimeConfig(IPage<?> page,
                                                        @Param("modelKey") String modelKey,
                                                        @Param("protime") LocalDateTime protime);

}
