package com.gct.edge.actuator.remoteDataStruct;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

/**
 * @author xusirui 2021/11/22
 */
public class aoid_daily_yield {
    @ApiModelProperty(value = "分库分表所需key")
    private String module_key;
    @ApiModelProperty(value = "实时时间")
    private LocalDateTime pro_time;
    @ApiModelProperty(value = "通用井名")
    String well_common_name;
    @ApiModelProperty(value = "井号")
    @Index(1)
    String well_id;
    @ApiModelProperty(value = "日期")
    @Index(2)
    String prod_date;
    @ApiModelProperty(value = "日产液量")
    double liq_prod_daily;
    @ApiModelProperty(value = "日产油量")
    double oil_prod_daily;
    @ApiModelProperty(value = "日产水量")
    double water_prod_daily;
    @ApiModelProperty(value = "日产气量")
    double gas_prod_daily;
    @ApiModelProperty(value = "泵效")
    double bx;
    @ApiModelProperty(value = "理论排量")
    double llpl;
    @ApiModelProperty(value = "生产时间")
    double prod_time;
    @ApiModelProperty(value = "产量系数")
    double clxs;
    @ApiModelProperty(value = "冲程")
    double stroke;
    @ApiModelProperty(value = "冲次")
    double frequence;
    @ApiModelProperty(value = "含水率")
    double water_cut;
    @ApiModelProperty(value = "泵直")
    double bj;
    @ApiModelProperty(value = "泵深")
    double bs;
    @ApiModelProperty(value = "沉没度")
    double cmd;
    @ApiModelProperty(value = "油嘴直径")
    double yz;
    @ApiModelProperty(value = "生产时间")
    double scsj;
    @ApiModelProperty(value = "油压")
    double yy;
    @ApiModelProperty(value = "回压")
    double hy;
    @ApiModelProperty(value = "套压")
    double ty;
    @ApiModelProperty(value = "备注")
    String bz;
    @ApiModelProperty(value = "是否异常")
    double sfyc;
    @ApiModelProperty(value = "动液面")
    double dym;
    @ApiModelProperty(value = "24小时产量")
    double rcy2;
    @ApiModelProperty(value = "")
    double rcu2;
    @ApiModelProperty(value = "")
    double rcs2;
    @ApiModelProperty(value = "日志产液量")
    double a2_liq_prod_daily;
    @ApiModelProperty(value = "日志产油量")
    double a2_oil_prod_daily;
    @ApiModelProperty(value = "日志产水量")
    double a2_water_prod_daily;
    @ApiModelProperty(value = "有效功图数")
    double yxgts;
    @ApiModelProperty(value = "异常功图数")
    double errorgts;
    @ApiModelProperty(value = "")
    String zdjg;
    @ApiModelProperty(value = "最小电压")
    double djdy;
    @ApiModelProperty(value = "作业区")
    String zyq;
    @ApiModelProperty(value = "计量站")
    String jlz;
    @ApiModelProperty(value = "平均环境温度")
    double hjwd;
    @ApiModelProperty(value = "仪表电流")
    double ybdl;
    @ApiModelProperty(value = "设备号")
    String sbh;
    @ApiModelProperty(value = "信号强度")
    double xhqd;
    @ApiModelProperty(value = "压力仪表的今日压力平均值")
    double yl;
    @ApiModelProperty(value = "日志备注")
    String rzbz;
    @ApiModelProperty(value = "油密度")
    double ymd;
    @ApiModelProperty(value = "水密度")
    double smd;
    @ApiModelProperty(value = "日志产气量")
    double a2_gas_pord_daily;
    @ApiModelProperty(value = "日志生产时间")
    int a2_prod_time;
    @ApiModelProperty(value = "计量产液体量")
    double test_liqu_vol_daily;
    @ApiModelProperty(value = "日志动页面")
    double a2_dym;
}
