package com.gct.edge.actuator.remoteDataStruct;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

/**
 * @author xusirui 2021/11/22
 */
public class dgns_gtstandard {
    @ApiModelProperty(value = "分库分表所需key")
    private String module_key;
    @ApiModelProperty(value = "实时时间")
    private LocalDateTime pro_time;

    @ApiModelProperty(value = "生产时间")
    @Index(2)
    String sgtprodate;
    @ApiModelProperty(value = "创建时间")
    String createtime;
    @ApiModelProperty(value = "ID")
    String id;
    @ApiModelProperty(value = "")
    String future;
    @ApiModelProperty(value = "出现次数")
    long appearcounter;
    @ApiModelProperty(value = "特征解释(工况类型)")
    String graphicfeatureinterpretation;
    @ApiModelProperty(value = "最大相似度")
    double maxsemblance;
    @ApiModelProperty(value = "最小相似度")
    double minsemblance;
    @ApiModelProperty(value = "井名")
    @Index(1)
    String wellname;
    @ApiModelProperty(value = "更新时间")
    String latestupdatedtime;

}
