package com.gct.edge.actuator.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.edge.actuator.entity.AoidConfigData;

import java.lang.reflect.InvocationTargetException;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * interface name: aoidConfigDataService
 *
 * @author gxt
 * @version 1.0
 * @since 2021/12/1 下午2:37 周三
 */
public interface AoidConfigDataService extends IService<AoidConfigData> {
    List<AoidConfigData> getAoidConfigDataList(String moduleKey, String proTime);

    boolean addAoidConfigData(AoidConfigData aoidConfigData);

    boolean editAoidConfigData(AoidConfigData aoidConfigData);

    boolean deleteAoidConfigData(String moduleKey, String proTime);


    boolean copyAoidConfigData(Map<String, String> sourceModule, List<String> targetModule);

    boolean addAoidConfigDataWithList(AoidConfigData list);
}
