package com.gct.edge.actuator.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.edge.actuator.entity.AoidGkModel;
import com.gct.edge.actuator.entity.DgnsGtcardLib;

import java.util.List;
import java.util.Map;

/**
 * class name: AoidGkModelService
 *
 * @author gxt
 * @version 1.0
 * @since 2021/12/13 下午2:28 周一
 */
public interface AoidGkModelService extends IService<AoidGkModel> {
    Page<AoidGkModel> getModelDataListPage(String modulekey, int pageSize, int pageNum);
    boolean saveAoidGkModelLib(JSONObject jsonObject);


    boolean editAoidGKModelLib(JSONObject jsonObject);

    boolean copyAoidGkModelLib(JSONObject jsonObject);

    boolean deleteAoidGkModelLib(JSONObject jsonObject);
    int editAoidGkModelLib(Map<String, String> map);

    List<String> downloadModelInfo(String modulekey);
}
