package com.gct.edge.actuator.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.edge.actuator.entity.DgnsGtcardLib;

import java.util.List;
import java.util.Map;

/**
 * interface name: DgnsGtcardLibService
 *
 * @author gxt
 * @version 1.0
 * @since 2021/12/13 下午2:22 周一
 */
public interface DgnsGtcardLibService extends IService<DgnsGtcardLib> {
    Page<DgnsGtcardLib> getDgnsCardLibListPage(String moduleKey, int pageSize, int pageNum,String result);
    boolean saveDgnsCardLib(JSONObject jsonObject);

    boolean editCardLib(JSONObject jsonObject);

    boolean copyCardLib(JSONObject jsonObject);

    boolean deleteCardLib(JSONObject jsonObject);

    boolean deleteCardLibByResult(String moduleKey,String result);

    Map<String, Integer> getDgnsCardLibGTNumWithResult(String moduleKey);

    List<String> downloadCardlibInfo(String moduleKey, String result);
}
