package com.gct.edge.actuator.service;


import com.alibaba.fastjson.JSONObject;
import com.gct.common.core.result.Result;
import com.gct.edge.actuator.entity.GtcvrRuntimeConfig;

import java.util.List;
import java.util.Map;

/**
 * interface name: GtcvrRuntimeConfigService
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/7/16 上午10:01 Fri
 */
public interface GtcvrRuntimeConfigService {

    /**
     * 保存全局配置表
     * @param
     * @return
     */
     boolean  SaveGtcvrRuntimeConfig(JSONObject jsonObject);


    /**
     * 根据参数条件查询全局配置数据
     * @param pageNum
     * @param pageSize
     * @return
     */

    Result findAllGtCvrRuntimeConfig(Integer pageNum, Integer pageSize, String modelKey, String protime);

    List<GtcvrRuntimeConfig> getMostNewGtCvrRuntimeConfig(String moduleKey, String releaseVersion);

    Map<String,Object> copyGlobalConfig(JSONObject jsonObject);

    boolean deleteGlobalConfig(String moduleKey, String proTime);
}
