package com.gct.edge.actuator.service;

import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.common.core.result.Result;
import com.gct.edge.actuator.entity.YieldDaily;

import java.util.List;

public interface YieldDailyService extends IService<YieldDaily> {

    Result timingSummary(String moduleKey, String startDate, String endDate);

    Page getWellProdData(String moduleKey, String wellId, String beginDate, String endDate, Integer curPage, Integer pageSize);

    List<YieldDaily> getWellProdData(String moduleKey, String wellId, String beginDate, String endDate);

    JSONArray getWellProdGraph(String moduleKey, String wellId, String beginDate, String endDate);

    Result calculate(String moduleKey, String wellIdList, String startTime);

    List<YieldDaily> getAoidDailyYieldInfoByWellId(String moduleKey,String wellName, String startDate);
}
